"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cache_1 = require("../cache");
var multiple_1 = require("./multiple");
exports.multipleSelection = multiple_1.multipleSelection;
var single_1 = require("./single");
exports.singleSelection = single_1.singleSelection;
const config_1 = require("../config");
function genLastJob(key) {
    return __awaiter(this, void 0, void 0, function* () {
        if (key === config_1.LAST_KEY) {
            const lastJob = cache_1.lastJobCache.getJob();
            if (!lastJob.name) {
                cache_1.lastJobCache.refreshJob({
                    name: key,
                    parameters: {}
                });
                return Promise.resolve("");
            }
            else {
                key = cache_1.lastJobCache.getJob().name;
            }
        }
        return Promise.resolve(key);
    });
}
exports.genLastJob = genLastJob;
//# sourceMappingURL=index.js.map